/*
 *   1997-2000 Metrowerks Corp.
 *
 *  Questions and comments to:
 *       <mailto:support@metrowerks.com>
 *       <http://www.metrowerks.com/>
 */
 
#include <Dialogs.h>
#include <Fonts.h>
#include <MacWindows.h>
#include <Menus.h>
#include <QuickDraw.h>
#include <TextEdit.h>

const SInt16 kAlertID = 128;

class SimpleAlert
{
public:
	SimpleAlert();
	void Run();
	
private:
	void Initialize();
};

SimpleAlert::SimpleAlert()
{
	Initialize();
}

void SimpleAlert::Initialize()
{
	InitGraf(&qd.thePort);
	InitFonts();
	InitWindows();
	InitMenus();
	TEInit();
	InitDialogs(nil);
	InitCursor();
}

void SimpleAlert::Run()
{
	NoteAlert(kAlertID, NULL);
}

void main(void)
{
	SimpleAlert theApplication;
	
	theApplication.Run();
}